libhttppp ..

Loading...
Searching...
No Matches
Classes | Public Member Functions | Friends | List of all members
libhttppp::HttpHeader::HeaderData Class Reference

## Classes
class | Values

## Public Member Functions
Values * | getfirstValue ()
Values & | at (int pos)
Values & | operator[] (int pos)
void | push_back (const Values &val)
void | push_back (const std::string &val)
void | push_back (const char *val)
void | push_back (size_t val)
void | push_back (int val)
bool | empty ()
void | erase (int pos)
void | clear ()
const std::string & | getkey ()
HeaderData * | nextHeaderData ()
| HeaderData (const std ::string &key)

## Friends
class | HttpHeader

The documentation for this class was generated from the following files:

- src/http.h
- src/http.cpp